using System;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.Extensions.Configuration;
using LoginApp.Models;

namespace LoginApp.Pages
{
    public class LoginModel : PageModel
    {
        readonly IConfiguration _configuration;

        private string connectionString;

        public string userName = null;
        public bool validUser = false;

        public LoginModel(IConfiguration configuration)
        {
            _configuration = configuration;

        }

        public void OnGet()
        {
        }

        public void OnPost()
        {
            CheckLogin();
        }

        void CheckLogin()
        {
            string password;
           
            userName = Request.Form["EMail"];
            password = Request.Form["Password"];

            Person person = new Person();

            connectionString = _configuration.GetConnectionString("ConnectionString");

            validUser = person.CheckPassword(connectionString, userName, password);

            if (validUser == true)
            {
                HttpContext.Session.SetInt32("Login", 1);
                HttpContext.Session.SetString("UserName", userName);
                Response.Redirect("./User");
            }
            else
            {
                HttpContext.Session.SetInt32("Login", 0);
                HttpContext.Session.SetString("UserName", "");
                Response.Redirect("./Login");
            }

        }

     
    }
}
