using System;
using System.Collections.Generic;
using Microsoft.AspNetCore.Mvc.RazorPages;
using Microsoft.AspNetCore.Http;
using Microsoft.Extensions.Configuration;
using LoginApp.Models;

namespace LoginApp.Pages
{
    public class WeatherModel : PageModel
    {
        public string userName = null;
        public int validUser = 0;

        readonly IConfiguration _configuration;

        private string connectionString;

        public List<Weather> weatherData = new List<Weather>();

        public WeatherModel(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public void OnGet()
        {
            VerifyLogin();

            WeatherData();
        }

        void VerifyLogin()
        {

            if (HttpContext.Session.GetInt32("Login") != null)
                validUser = (int)HttpContext.Session.GetInt32("Login");
            else
                validUser = 0;

            if (HttpContext.Session.GetString("UserName") != null)
                userName = HttpContext.Session.GetString("UserName");
            else
                userName = null;

        }

        void WeatherData()
        {
            connectionString = _configuration.GetConnectionString("ConnectionString");

            Weather weather = new Weather();

            weatherData = weather.GetWeatherData(connectionString);
        }

    }
}
